< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package play
  Definition Classes
    mongo
-  package json
  Definition Classes
    play
-  package formats
  Definition Classes
    json
- CodecProviders
- Codecs
- CollectionFactory
- PlayMongoRepository

c

uk.gov.hmrc.mongo.play.json

# PlayMongoRepository 

###

#### class PlayMongoRepository[A] extends MongoDatabaseCollection

Initialise a mongo repository.

Linear Supertypes
MongoDatabaseCollection, AnyRef, Any
Known Subclasses
MongoCacheRepository, MongoLockRepository
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayMongoRepository
2. MongoDatabaseCollection
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PlayMongoRepository(mongoComponent: MongoComponent, collectionName: String, domainFormat: Format[A], indexes: Seq[IndexModel], optSchema: Option[BsonDocument] = None, replaceIndexes: Boolean = false)(implicit arg0: ClassTag[A], ec: ExecutionContext)

   collectionName

     the name of the mongo collection.

   domainFormat

     a play Json format to map the domain to mongo entities.

   indexes

     indexes to ensure are created.

   optSchema

     optional schema to validate entities written to the collection

   replaceIndexes

     If true, existing indices should be removed/updated to match the provided indices. If false, any old indices are left behind, and indices with changed definitions will throw IndexConflict exceptions.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  val collection: MongoCollection[A]
7.  val collectionName: String
   Definition Classes
     PlayMongoRepository → MongoDatabaseCollection
8.  def ensureIndexes: Future[Seq[String]]
9.  def ensureSchema: Future[Unit]
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  val indexes: Seq[IndexModel]
    Definition Classes
      PlayMongoRepository → MongoDatabaseCollection
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  val optSchema: Option[BsonDocument]
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped